// variables
  --bar-size

  --bar-background
  --bar-color
  --input-focus-background

  --bar-font-size
  --spacing

  --bar-button-hover-background
  --bar-button-hover-color

header,
footer
  display: flex
  min-height: var( --bar-size )

  background: var( --bar-background )
  color: var( --bar-color )

  div
    display: flex

  h1,
  input
    flex: 1
    align-self: center
    font-size: var( --bar-font-size )
    padding: 0 var( --spacing )

    white-space: nowrap
    overflow: hidden
    text-overflow: ellipsis

  input
    color: inherit
    border: 1px solid transparent
    border-radius: 0
    background: transparent
    height: var( --bar-size )

    &[type=number]
      appearance: textfield

  select
    flex: 1
    background: inherit
    color: inherit
    font-size: var( --bar-font-size )
    padding: 0 var( --spacing )

    border: 1px solid transparent
    appearance: none

  input,
  select,
  button
    &:focus
      background: var( --input-focus-background )

  button
    display: flex
    justify-content: center
    align-items: center

    border: 1px solid transparent

    min-width: var( --bar-size )
    height: var( --bar-size )

    background: inherit
    color: inherit
    font-size: var( --bar-font-size )

    &:hover
      background: var( --bar-button-hover-background )
      color: var( --bar-button-hover-color )

  &.right
    flex-direction: row-reverse
